window.templateUrl = "./bower_components/zeedhi-frontend/templates/dyman/";
window.serviceUrl = "../backend/index.php";
window.projectCorp = true;
window.projectId = 5439;
window.keepTitle = true;
window.metadataUrl = "assets";
window.useDefaultLanguages = true;
window.hideTranslateButton = true;

var pkg = {
	"product": "./assets",
	"modules": "../../../assets",
	"zeedhiFramework": "./bower_components/zeedhi-frontend/assets",
	"zhuacl": "./bower_components/zhuaclfrontend/assets",
	"zhulog": "/acl/bower_components/zhulog/assets",
	"lib": "./bower_components/tek-libraries",
	
	"zh-preferences": "./bower_components/zh-preferences/dist/assets/",
    "zh-filter-preferences": "./bower_components/zh-filter-preferences/dist/assets/",
    "zh-layout-preferences": "./bower_components/zh-layout-preferences/dist/assets/",
    "zh-view-preferences": "./bower_components/zh-view-preferences/dist/assets/",

	"acl": "/acl/assets/",

    "ate": "/ate/assets/",
    "coc": "/coc/assets/",
    "fac": "/fac/assets/",
    "pcp": "/pcp/assets/",

	"login": "/login/assets/",
	
	"cadEst": "/cadEst/assets/",
	"cadEst_produto": "/cadEst/assets/modules/produto/assets/",
};

var metadataUrls = window.metadataUrls || [];
var serviceUrls = window.serviceUrls || [];

var pathname = location.pathname;
if(pathname.search('mobile') !== -1 ) {
    pathname = pathname.replace('/mobile', '').split('/modules')[0];
} else {
    pathname = '';
}


var pkgBaseUrls = {
     acl    : location.origin + pathname + "/backend_acl/index.php",
     ate    : location.origin + pathname + "/backend_ate/index.php",
     coc    : location.origin + pathname + "/backend_coc/index.php",
     df     : location.origin + pathname + "/backend_df/index.php",
     fac    : location.origin + pathname + "/backend_fac/index.php",
     pcp    : location.origin + pathname + "/backend_pcp/index.php",
     cadEst : location.origin + pathname + "/backend_cadEst/index.php",
     login  : location.origin + pathname + "/backend_login/index.php",
     product: "/backend/index.php",
     default: "/backend/index.php",
    'zh-preferences'       : window.serviceUrl + '/zh-preferences',
    'zh-filter-preferences': window.serviceUrl + '/zh-preferences',
    'zh-layout-preferences': window.serviceUrl + '/zh-preferences',
    'zh-view-preferences'  : window.serviceUrl + '/zh-preferences'
};

if(!window.isProduct) {
    pkgBaseUrls["product"] =  "../../../backend/index.php";
    pkg["product"] = pkg["modules"];
}

for (var key in pkg) {
    metadataUrls.push({
        "package": key,
        "baseUrl": pkg[key]
    });
    
    var keyPkg = key.split("_")[0];
    var realBaseKey = pkgBaseUrls.hasOwnProperty(keyPkg) ? keyPkg : "default";
    serviceUrls.push({
        "package": key,
        "baseUrl": pkgBaseUrls[realBaseKey]
    });
}

var baseProductLocation = window.location.origin;
if(window.serviceUrl.indexOf('service') != -1) {
    if(window.location.pathname.indexOf('modules') != -1) {
        baseProductLocation += window.location.pathname.split('modules')[0] + '';
    } else {
        baseProductLocation += window.location.pathname;
    }
}

window.templateUrls = window.templateUrls || [];
window.templateUrls.push(
	{
        package: "zh-customizations-service",
        baseUrl: "bower_components/zh-customizations-service/src/templates/"
    },
    {
        package: "zh-reports",
        baseUrl: "bower_components/zh-reports/dist/templates/"
    },
    {
        package: "zh-charts",
        baseUrl: "bower_components/zh-charts/dist/templates/"
    },
    {
        package: "zh-select-autocomplete",
        baseUrl: "bower_components/zh-select-autocomplete/dist/templates/"
    },
    {
        package: "zh-interval-component",
        baseUrl: "bower_components/zh-interval-component/dist/templates/"
    },
    {
        package: 'zh-select-autocomplete',
        baseUrl: 'bower_components/zh-select-autocomplete/dist/templates/'
    }
);


window.applicationVersion = "1.8.0";
window.baseProductLocation = baseProductLocation;
window.lang = "<>TEK_DEFAULT_LANGUAGE<>";
moment.locale(window.lang);
window.docsUrl = "../bower_components/zeedhi-frontend/docs/dyman/";
window.metadataUrls = metadataUrls;
window.templateUrls = templateUrls;
window.serviceUrls = serviceUrls;
window.defaultUserImageUrl = baseProductLocation + "/assets/images/user.jpg";
window.cssUrl = "../../../assets/css/inflightor.css?v=1.8.0";
window.cssStyle = "inflightor";
window.inDeveloperMode = false;

window.filesPath = "<>FILESERVER_PATH<>";
window.undefinedImageInFileServer = "";
window.undefinedImage = baseProductLocation + "/assets/images/undefinedImage.jpg";

if (typeof Constants === "undefined") {
    var Constants = {
        successNotification: {
            type: "success"
        },

        successMessage: {
            type: "success",
            icon: "checked"
        },

        errorNotification: {
            type: "error"
        },

        errorMessage: {
            type: "error",
            icon: "error"
        },

        alertMessage: {
            type: "alert",
            icon: "exclamation"
        },

        infoMessage: {
            type: "information",
            icon: "information"
        },

        confirmationMessage: {
            type: "question",
            icon: "question"
        }
    };
}